.search-history-dropdown {
    position: absolute;
    background: white;
    border: 1px solid #ccc;
    border-top: none;
    max-height: 300px;
    overflow-y: auto;
    width: 789px;
    z-index: 1000;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    top: 118%;
    left: -50px;
    margin-top: 0;
    pointer-events: auto;
}

.search-history-dropdown-minimenu {
    width: 250px;
    max-height: 300px;
    overflow-y: auto;
    overflow-x: hidden;
}

.minimenu-search-history {
    position: absolute;
    width: auto;
    min-width: 300px;
    left: 0;
    top: 100%;
    margin-left: 0;
    margin-top: 1px;
    z-index: 9999;
}

.search-history-dropdown-parent {
	position: fixed;
	background: white;
	border: 1px solid #ccc;
	min-width: 290px;
	max-height: 200px;
	overflow-y: auto;
	z-index: 9999;
	box-shadow: 0 4px 6px rgba(0,0,0,0.1);
	display: block;
}

.search-history-header {
	padding: 5px;
	background: #f5f5f5;
	border-bottom: 1px solid #ddd;
	display: flex;
    justify-content: space-between;
    font-weight: bold;
    color: #333;
    pointer-events: auto;
}

.search-history-header a {
	color: #999;
	text-decoration: none;
	cursor: pointer;
	pointer-events: auto;
	font-weight: normal;
	padding-right: 10px;
}

.search-history-header a:hover {
	color: #0054a6;
	text-decoration: underline;
}

.search-history-list {
    list-style: none;
    margin: 0;
    padding: 0;
    pointer-events: auto;
}

.search-history-item {
	padding: 2px 5px;
    cursor: pointer;
    border-bottom: 1px solid #eee;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #333;
    pointer-events: auto;
}

.search-history-item:hover {
	background: #f0f0f0;
}

.search-history-item .query {
	flex: 1;
	overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    color: #333;
    pointer-events: auto;
}

.search-history-item .remove {
    color: #999;
    font-size: 18px;
    margin-left: 10px;
    cursor: pointer;
    pointer-events: auto;
    padding-right: 10px;
}


.search-history-empty {
    color: #999;
    cursor: default;
    pointer-events: none;
}

.search-history-empty:hover {
    background: white;
}